import os
import sys

import cv2
import numpy as np

def main():
    TEST_IMAGES_PATH, output_path = sys.argv[1:]

    results = {}
    print(TEST_IMAGES_PATH, output_path)
    print(os.listdir(TEST_IMAGES_PATH))
    print(os.listdir('/'))
    print(os.listdir('./'))
    for ind, i in enumerate(os.listdir(TEST_IMAGES_PATH)):
        print(ind)
        img_path = os.path.join(TEST_IMAGES_PATH, i)
        im = cv2.imread(img_path)
        results[i] = np.zeros(im.shape[:2]) > 0
    np.savez_compressed(os.path.join(output_path), **results)


if __name__ == "__main__":
    main()
